package com.fs.store.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 快递公司对象 fs_express
 * 
 * @author fs
 * @date 2022-03-15
 */
public class FsExpress extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 快递公司id */
    private Long id;

    /** 快递公司简称 */
    @Excel(name = "快递公司简称")
    private String code;

    /** 快递公司全称 */
    @Excel(name = "快递公司全称")
    private String name;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 是否显示 */
    @Excel(name = "是否显示")
    private Integer isShow;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer isDel;


    @Excel(name = "OMS编号")
    private String omsCode;

    public String getOmsCode() {
        return omsCode;
    }

    public void setOmsCode(String omsCode) {
        this.omsCode = omsCode;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setSort(Long sort) 
    {
        this.sort = sort;
    }

    public Long getSort() 
    {
        return sort;
    }
    public void setIsShow(Integer isShow) 
    {
        this.isShow = isShow;
    }

    public Integer getIsShow() 
    {
        return isShow;
    }
    public void setIsDel(Integer isDel) 
    {
        this.isDel = isDel;
    }

    public Integer getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("code", getCode())
            .append("name", getName())
            .append("sort", getSort())
            .append("isShow", getIsShow())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .toString();
    }
}
